TestClasses (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junitlauncher.confined, class: TestClasses

Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Class TestClasses

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestClasses

public class TestClasses extends TestDefinition
Represents a `testclasses` that's configured to be launched by the `JUnitLauncherTask`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `TestDefinition.ForkedRepresentation`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `excludeEngines, failureProperty, forkDefinition, haltOnFailure, ifProperty, includeEngines, listeners, outputDir, unlessProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestClasses()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ResourceCollection resourceCollection)`
  `static List<TestDefinition>`
  `fromForkedRepresentation(XMLStreamReader reader)`
  `List<String>`
  `getTestClassNames()`
  `protected List<TestDefinition.ForkedRepresentation>`
  `toForkedRepresentations()`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `addConfiguredListener, createFork, getExcludeEngines, getFailureProperty, getIncludeEngines, getListeners, getOutputDir, isHaltOnFailure, setExcludeEngines, setFailureProperty, setHaltOnFailure, setIf, setIncludeEngines, setOutputDir, setUnless, shouldRun`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestClasses

    public TestClasses()

- ## Method Details

  - ### add

    public void add(ResourceCollection resourceCollection)

  - ### getTestClassNames

    public List<String> getTestClassNames()

  - ### toForkedRepresentations

    protected List<TestDefinition.ForkedRepresentation> toForkedRepresentations() throws IllegalStateException
    Specified by:
      `toForkedRepresentations` in class `TestDefinition`
    Throws:
      `IllegalStateException`

  - ### fromForkedRepresentation

    public static List<TestDefinition> fromForkedRepresentation(XMLStreamReader reader) throws XMLStreamException
    Throws:
      `XMLStreamException`